---
schema_version: "1"
id: 33e0c05b067aca44be8078aabed4c230e14c08735d58959b4a7856aa76bebfdd
title: CDN Zones
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/commerce-api/references/generated-api-specs/zones.md
canonical_url: https://developer.salesforce.com/docs/commerce/commerce-api/references/zones
source_site: developer.salesforce.com
content_type: documentation
content_hash: a02bfeb434c6a2ba4a2252323cb1862019ee526e17c67961c3439a1b0b7e8769
products:
  - B2C Commerce API
  - Salesforce APIs
---
CDN Zones

# CDN Zones

[Download API specification](https://developer.salesforce.com/static/commercecloud/commerce-api/zones/zones-oas-v1-public.yaml)

## API Overview

The Content Delivery Network (CDN) API is for managing the embedded CDN (eCDN) that is included with Commerce Cloud and configured with Business Manager.

Use the API to:

*   Ensure that traffic doesn’t circumvent proxies layered in front of your eCDN.
*   Accelerate the delivery of resources to users with caching, compression, and prioritization.
*   Customize how users interact with resources and how requests are processed, including custom pages and routing rules.
*   Provide proactive and complete application protection against new and existing exploits from bad actors.

### Authentication & Authorization

For resource access, you must use a client ID and client secret from Account Manager to request an access token. The access token is used as a bearer token and added to the `Authorization` header of your API request.

The API client must also have at least one of the following OAuth scopes: `sfcc.cdn-zones` or `sfcc.cdn-zones.rw`.

For detailed setup instructions, see the [Authorization for Admin APIs](https://developer.salesforce.com/docs/commerce/commerce-api/guide/authorization-for-admin-apis.html) guide.

You must include the relevant scope(s) in the client ID used to generate the token. For details, see the [Authorization Scopes Catalog.](https://developer.salesforce.com/docs/commerce/commerce-api/guide/auth-z-scope-catalog.html)

### Response Details

#### Timeouts

Admin API requests must respond within 60 seconds. If a response exceeds this threshold, an HTTP 504 status code is returned. For details, see [Timeouts and Limits.](https://developer.salesforce.com/docs/commerce/commerce-api/guide/timeouts-limits.html)

#### Error Handling

Error responses follow the [RFC 7807](https://datatracker.ietf.org/doc/html/rfc7807) problem detail format. To trace errors, include a `correlation-id` header in your request — the response returns it as `x-correlation-id`. For details, see [HTTP Status Codes and Errors.](https://developer.salesforce.com/docs/commerce/commerce-api/guide/error-response-codes.html)

### Use Cases

For detailed usage information, refer to the [CDN Zones Guides.](https://developer.salesforce.com/docs/commerce/commerce-api/guide/cdn-zones.html)

**Version:** 1.3.0

## Servers

*   `https://{shortCode}.api.commercecloud.salesforce.com/cdn/zones/v1`
    *   `shortCode (default shortCode) An eight-character string assigned to a realm for routing purposes. See [Base URL and Request Formation.](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html)`

## Security

*   `AmOAuth2` (oauth2) AccountManager OAuth 2.0 bearer token Authentication.
    *   OAuth flow clientCredentials (tokenUrl: https://account.demandware.com/dwsso/oauth2/access\_token)
    *   Scope sfcc.cdn-zones: CDN API Scope READONLY
    *   Scope sfcc.cdn-zones.rw: CDN API Scope
    *   OAuth flow authorizationCode (authorizationUrl: https://account.demandware.com/dwsso/oauth2/authorize, tokenUrl: https://account.demandware.com/dwsso/oauth2/access\_token)
    *   Scope sfcc.cdn-zones: CDN API Scope READONLY
    *   Scope sfcc.cdn-zones.rw: CDN API Scope

## Operations

### POST Create a new storefront zone.

`POST /organizations/{organizationId}/storefront-zones`

Operation ID: `createStorefrontZone`. Security: AmOAuth2 (sfcc.cdn-zones.rw).

Create a new storefront zone for the organization. Use this endpoint to set up a new CDN zone with specific configurations for storefront applications.

#### Parameters

*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `StorefrontZoneCreateRequest`.

_Example: StorefrontZoneCreateRequestBodyExample_

```
{
  "domainName": "cc-merchant.com"
}
```

#### Responses

*   **201** Successfully created new storefront zone.
    
    Media type: `application/json`. Schema: `StorefrontZoneCreateEnvelope`.
    
    _Example: StorefrontZoneCreateResponse_
    
    ```
    {
      "data": {
        "zoneId": "023e105f4ecef8ad9ca31a8372d0c353",
        "zoneName": "stg-zzzz-cc-merchant-com.cc-ecdn.net",
        "createdOn": "2022-01-01T05:20:00.12345Z",
        "status": "active"
      }
    }
    ```
    
*   **400** The request sent by the caller is not valid.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: BadRequest_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/bad-request",
      "title": "Bad Request",
      "detail": "Request body contains 1 or more attributes that contains errors."
    }
    ```
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **404** The resource requested by the caller was not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: NotFound_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/resource-not-found",
      "title": "Not Found",
      "detail": "Requested resource was not found"
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: InternalServerError_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/internal-server",
      "title": "Internal Server Error",
      "detail": "An internal server error occured. Please contact support."
    }
    ```
    

### GET Return all the mTLS certificates for the account.

`GET /organizations/{organizationId}/mtls/code-upload-certificates`

Operation ID: `getCodeUploadCertificates`. Security: AmOAuth2 (sfcc.cdn-zones, sfcc.cdn-zones.rw).

Retrieve all mTLS certificates for the account. These certificates are used for secure code upload operations and client authentication.

#### Parameters

*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **200** Successfully retrieved details of the mTLS certificates requested by the caller.
    
    Media type: `application/json`. Schema: `MtlsCertificatesResponseEnvelope`.
    
    _Example: MtlsCodeUploadGetCertificatesResponse_
    
    ```
    {
      "data": [
        {
          "mtlsCertificateId": "465a48f6-3d98-4c15-9312-211984ee8629",
          "expiresOn": "2022-01-12T04:15:57Z",
          "issuer": "DigiCert",
          "signature": "SHA256WithRSA",
          "uploadedOn": "2020-01-12T04:15:57Z",
          "ca": true,
          "serialNumber": "432217133297895665180570788458463042229861757760",
          "mtlsCertificateName": "mtls_cert_name",
          "mtlsAssociatedCodeUploadHostname": "mtls.cert.salesforce.com"
        },
        {
          "mtlsCertificateId": "465a48f6-3d98-4c15-9312-211984ee8630",
          "expiresOn": "2022-01-12T04:15:57Z",
          "issuer": "DigiCert",
          "signature": "SHA256WithRSA",
          "uploadedOn": "2020-01-12T04:15:57Z",
          "ca": true,
          "serialNumber": "432217133297895665180570788458463042229861757761",
          "mtlsCertificateName": "mtls_cert_name",
          "mtlsAssociatedCodeUploadHostname": "mtls.cert.salesforce.com"
        }
      ]
    }
    ```
    
*   **400** The request sent by the caller is not valid.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example BadRequest: same as POST /organizations/{organizationId}/storefront-zones 400 response._
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### POST Set up two-factor mTLS certificates for the account and associate the staging zone code upload hostname.

`POST /organizations/{organizationId}/mtls/code-upload-certificates`

Operation ID: `createCodeUploadCertificate`. Security: AmOAuth2 (sfcc.cdn-zones.rw).

Create a new mTLS certificate for code upload operations. This certificate enables secure client authentication for code deployment processes.

#### Parameters

*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `MtlsCertificateRequest`.

_Example: MtlsCodeUploadPostCertificateRequestBodyExample_

```
{
  "name": "mtls_cert_name",
  "certificate": "-----BEGIN CERTIFICATE-----\nMIIDtTCCAp2gAwIBAgIJAMHAwfXZ5PWMA0GCSqGSIb3DQEBCwUAMEUxCzAJBgNV\nBAYTAkFVMRMwEQYDVQQIEwpTb21lLVN0YXRlMSEwHwYDVQQKExhJbnRlcm5ldCBX\naWRnaXRzIFB0eSBMdGQwHhcNMTYwODI0MTY0MzAxWhcNMTYxMTIyMTY0MzAxWjBF\nMQswCQYDVQQGEwJBVTETMBEGA1UECBMKU29tZS1TdGF0ZTEhMB8GA1UEChMYSW50\nZXJuZXQgV2lkZ2l0cyBQdHkgTHRkMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIB\nCgKCAQEAwQHoetcl9+5ikGzV6cMzWtWPJHqXT3wpbEkRU9Yz7lgvddmGdtcGbg/1\nCGZu0jJGkMoppoUo4c3dts3iwqRYmBikUP77wwY2QGmDZw2FvkJCJlKnabIRuGvB\nKwzESIXgKk2016aTP6/dAjEHyo6SeoK8lkIySUvK0fyOVlsiEsCmOpidtnKX/a+5\n0GjB79CJH4ER2lLVZnhePFR/zUOyPxZQQ4naHf7yu/b5jhO0f8fwt+pyFxIXjbEI\ndZliWRkRMtzrHOJIhrmJ2A1J7iOrirbbwillwjjNVUWPf3IJ3M12S9pEewooaeO2\nizNTERcG9HzAacbVRn2Y2SWIyT/18QIDAQABo4GnMIGkMB0GA1UdDgQWBBT/LbE4\n9rWf288N6sJA5BRb6FJIGDB1BgNVHSMEbjBsgBT/LbE49rWf288N6sJA5BRb6FJI\nGKFJpEcwRTELMAkGA1UEBhMCQVUxEzARBgNVBAgTClNvbWUtU3RhdGUxITAfBgNV\nBAoTGEludGVybmV0IFdpZGdpdHMgUHR5IEx0ZIIJAMHAwfXZ5/PWMAwGA1UdEwQF\nMAMBAf8wDQYJKoZIhvcNAQELBQADggEBAHHFwl0tH0quUYZYO0dZYt4R7SJ0pCm2\n2satiyzHl4OnXcHDpekAo7/a09c6Lz6AU83cKy/+x3/djYHXWba7HpEu0dR3ugQP\nMlr4zrhd9xKZ0KZKiYmtJH+ak4OM4L3FbT0owUZPyjLSlhMtJVcoRp5CJsjAMBUG\nSvD8RX+T01wzox/Qb+lnnNnOlaWpqu8eoOenybxKp1a9ULzIVvN/LAcc+14vioFq\n2swRWtmocBAs8QR9n4uvbpiYvS8eYueDCWMM4fvFfBhaDZ3N9IbtySh3SpFdQDhw\nYbjM2rxXiyLGxB4Bol7QTv4zHif7Zt89FReT/NBy4rzaskDJY5L6xmY=\n-----END CERTIFICATE-----",
  "privateKey": "-----BEGIN RSA PRIVATE KEY-----\nMIIEowIBAAKCAQEAwQHoetcl9+5ikGzV6cMzWtWPJHqXT3wpbEkRU9Yz7lgvddmG\ndtcGbg/1CGZu0jJGkMoppoUo4c3dts3iwqRYmBikUP77wwY2QGmDZw2FvkJCJlKn\nabIRuGvBKwzESIXgKk2016aTP6/dAjEHyo6SeoK8lkIySUvK0fyOVlsiEsCmOpid\ntnKX/a+50GjB79CJH4ER2lLVZnhePFR/zUOyPxZQQ4naHf7yu/b5jhO0f8fwt+py\nFxIXjbEIdZliWRkRMtzrHOJIhrmJ2A1J7iOrirbbwillwjjNVUWPf3IJ3M12S9pE\newooaeO2izNTERcG9HzAacbVRn2Y2SWIyT/18QIDAQABAoIBACbhTYXBZYKmYPCb\nHBR1IBlCQA2nLGf0qRuJNJZg5iEzXows/6tc8YymZkQE7nolapWsQ+upk2y5Xdp/\naxiuprIs9JzkYK8Ox0r+dlwCG1kSW+UAbX0bQ/qUqlsTvU6muVuMP8vZYHxJ3wmb\n+ufRBKztPTQ/rYWaYQcgC0RWI20HTFBMxlTAyNxYNWzX7RKFkGVVyB9RsAtmcc8g\n+j4OdosbfNoJPS0HeIfNpAznDfHKdxDk2Yc1tV6RHBrC1ynyLE9+TaflIAdo2MVv\nKLMLq51GqYKtgJFIlBRPQqKoyXdz3fGvXrTkf/WY9QNq0J1Vk5ERePZ54mN8iZB7\n9lwy/AkCgYEA6FXzosxswaJ2wQLeoYc7ceaweX/SwTvxHgXzRyJIIT0eJWgx13Wo\n/WA3Iziimsjf6qE+SI/8laxPp2A86VMaIt3Z3mJN/CqSVGw8LK2AQst+OwdPyDMu\niacE8lj/IFGC8mwNUAb9CzGU3JpU4PxxGFjS/eMtGeRXCWkK4NE+G08CgYEA1Kp9\nN2JrVlqUz+gAX+LPmE9OEMAS9WQSQsfCHGogIFDGGcNf7+uwBM7GAaSJIP01zcoe\nVAgWdzXCv3FLhsaZoJ6RyLOLay5phbu1iaTr4UNYm5WtYTzMzqh8l1+MFFDl9xDB\nvULuCIIrglM5MeS/qnSg1uMoH2oVPj9TVst/ir8CgYEAxrI7Ws9Zc4Bt70N1As+U\nlySjaEVZCMkqvHJ6TCuVZFfQoE0r0whdLdRLU2PsLFP+q7qaeZQqgBaNSKeVcDYR\n9B+nY/jOmQoPewPVsp/vQTCnE/R81spu0mp0YI6cIheT1Z9zAy322svcc43JaWB7\nmEbeqyLOP4Z4qSOcmghZBSECgYACvR9Xs0DGn+wCsW4vze/2ei77MD4OQvepPIFX\ndFZtlBy5ADcgE9z0cuVB6CiL8DbdK5kwY9pGNr8HUCI03iHkW6Zs+0L0YmihfEVe\nPG19PSzK9CaDdhD9KFZSbLyVFmWfxOt50H7YRTTiPMgjyFpfi5j2q348yVT0tEQS\nfhRqaQKBgAcWPokmJ7EbYQGeMbS7HC8eWO/RyamlnSffdCdSc7ue3zdVJxpAkQ8W\nqu80pEIF6raIQfAf8MXiiZ7auFOSnHQTXUbhCpvDLKi0Mwq3G8Pl07l+2s6dQG6T\nlv6XTQaMyf6n1yjzL+fzDrH3qXMxHMO/b13EePXpDMpY7HQpoLDi\n-----END RSA PRIVATE KEY-----"
}
```

#### Responses

*   **201** Returns information about the uploaded mTLS certificate.
    
    Media type: `application/json`. Schema: `MtlsCertificateResponseEnvelope`.
    
    _Example: MtlsCodeUploadGetCertificateResponse_
    
    ```
    {
      "data": {
        "mtlsCertificateId": "465a48f6-3d98-4c15-9312-211984ee8629",
        "expiresOn": "2022-01-12T04:15:57Z",
        "issuer": "DigiCert",
        "signature": "SHA256WithRSA",
        "uploadedOn": "2020-01-12T04:15:57Z",
        "ca": true,
        "serialNumber": "432217133297895665180570788458463042229861757760",
        "mtlsCertificateName": "mtls_cert_name",
        "mtlsAssociatedCodeUploadHostname": "mtls.cert.salesforce.com"
      }
    }
    ```
    
*   **400** The request sent by the caller is not valid.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example BadRequest: same as POST /organizations/{organizationId}/storefront-zones 400 response._
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **404** The resource requested by the caller was not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: NotFound_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/resource-not-found",
      "title": "Not Found",
      "detail": "Requested resource was not found"
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### GET Return the mTLS certificate for the given account's mTLS certificate ID.

`GET /organizations/{organizationId}/mtls/code-upload-certificates/{mtlsCertificateId}`

Operation ID: `getCodeUploadCertificate`. Security: AmOAuth2 (sfcc.cdn-zones, sfcc.cdn-zones.rw).

Retrieve a specific mTLS certificate by its ID. This endpoint provides detailed information about the certificate's configuration, status, and associated hostname.

#### Parameters

*   `mtlsCertificateId` (path, string, required) The unique identifier of an mTLS certificate.  
    Pattern: ^.\*$. Example: `465a48f6-3d98-4c15-9312-211984ee8629`.
*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **200** Successfully retrieved mTLS certificate information from the mTLS certificate ID requested by the caller.
    
    Media type: `application/json`. Schema: `MtlsCertificateResponseEnvelope`.
    
    _Example MtlsCodeUploadGetCertificateResponse: same as POST /organizations/{organizationId}/mtls/code-upload-certificates 201 response._
    
*   **400** The request sent by the caller is not valid.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example BadRequest: same as POST /organizations/{organizationId}/storefront-zones 400 response._
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### DELETE Remove an mTLS certificate and associated hostname.

`DELETE /organizations/{organizationId}/mtls/code-upload-certificates/{mtlsCertificateId}`

Operation ID: `deleteCodeUploadCertificate`. Security: AmOAuth2 (sfcc.cdn-zones.rw).

Permanently delete an mTLS certificate and its associated hostname from the account. This operation cannot be undone.

#### Parameters

*   `mtlsCertificateId` (path, string, required) The unique identifier of an mTLS certificate.  
    Pattern: ^.\*$. Example: `465a48f6-3d98-4c15-9312-211984ee8629`.
*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **204** Successfully deleted the mTLS certificate from the account.
*   **404** The resource requested by the caller was not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: NotFound_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/resource-not-found",
      "title": "Not Found",
      "detail": "Requested resource was not found"
    }
    ```
    

### GET Get page shield notification webhooks.

`GET /organizations/{organizationId}/page-shield/notifications`

Operation ID: `getPageShieldNotification`. Security: AmOAuth2 (sfcc.cdn-zones, sfcc.cdn-zones.rw).

See [eCDN PCI 4.0 Compliance Tools](https://developer.salesforce.com/docs/commerce/commerce-api/guide/cdn-pci-4-compliance.html).

#### Parameters

*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **200** Successfully retrieved notification webhooks.
    
    Media type: `application/json`. Schema: `PageShieldNotificationWebhookListEnvelope`.
    
    _Example: PageShieldNotificationWebhookListResponse_
    
    ```
    {
      "data": [
        {
          "id": "webhook_1234567890abcdef",
          "name": "Security Alert Webhook",
          "webhookUrl": "https://example.com/webhook/security",
          "type": "security_alert",
          "createdAt": "2023-01-01T00:00:00Z",
          "lastSuccess": "2023-01-01T12:00:00Z",
          "lastFailure": "2023-01-01T18:00:00Z",
          "enabled": true,
          "zones": [
            "zone_1234567890abcdef"
          ]
        }
      ]
    }
    ```
    
*   **400** The request sent by the caller is not valid.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example BadRequest: same as POST /organizations/{organizationId}/storefront-zones 400 response._
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### POST Setup page shield notification webhook.

`POST /organizations/{organizationId}/page-shield/notifications`

Operation ID: `postPageShieldNotification`. Security: AmOAuth2 (sfcc.cdn-zones.rw).

See [eCDN PCI 4.0 Compliance Tools](https://developer.salesforce.com/docs/commerce/commerce-api/guide/cdn-pci-4-compliance.html).

#### Parameters

*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `PageShieldNotificationWebhookRequest`.

_Example: PageShieldNotificationWebhookRequest_

```
{
  "webhookUrl": "https://example.com/webhook/security",
  "name": "Security Alert Webhook",
  "secret": "webhook_secret_123",
  "enabled": true,
  "zones": [
    "zone_1234567890abcdef"
  ]
}
```

#### Responses

*   **200** Successfully added notification webhook.
    
    Media type: `application/json`. Schema: `PageShieldNotificationWebhookEnvelope`.
    
    _Example: PageShieldNotificationWebhookResponse_
    
    ```
    {
      "data": {
        "id": "webhook_1234567890abcdef",
        "name": "Security Alert Webhook",
        "webhookUrl": "https://example.com/webhook/security",
        "type": "security_alert",
        "createdAt": "2023-01-01T00:00:00Z",
        "lastSuccess": "2023-01-01T12:00:00Z",
        "lastFailure": "2023-01-01T18:00:00Z",
        "enabled": true,
        "zones": [
          "zone_1234567890abcdef"
        ]
      }
    }
    ```
    
*   **400** The request sent by the caller is not valid.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example BadRequest: same as POST /organizations/{organizationId}/storefront-zones 400 response._
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### DELETE Delete page shield notification webhook.

`DELETE /organizations/{organizationId}/page-shield/notifications/{webhookId}`

Operation ID: `deletePageShieldNotification`. Security: AmOAuth2 (sfcc.cdn-zones.rw).

See [eCDN PCI 4.0 Compliance Tools](https://developer.salesforce.com/docs/commerce/commerce-api/guide/cdn-pci-4-compliance.html).

#### Parameters

*   `webhookId` (path, string, required) The unique identifier of a webhook.  
    Pattern: ^.\*$. Example: `f90712123fb02287348dd34c0a282bb9`.
*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **204** Successfully deleted notification webhook.
*   **400** The request sent by the caller is not valid.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example BadRequest: same as POST /organizations/{organizationId}/storefront-zones 400 response._
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### PATCH Update page shield notification webhook.

`PATCH /organizations/{organizationId}/page-shield/notifications/{webhookId}`

Operation ID: `updatePageShieldNotification`. Security: AmOAuth2 (sfcc.cdn-zones.rw).

See [eCDN PCI 4.0 Compliance Tools](https://developer.salesforce.com/docs/commerce/commerce-api/guide/cdn-pci-4-compliance.html).

#### Parameters

*   `webhookId` (path, string, required) The unique identifier of a webhook.  
    Pattern: ^.\*$. Example: `f90712123fb02287348dd34c0a282bb9`.
*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `PageShieldNotificationWebhookUpdateRequest`.

_Example: PageShieldNotificationWebhookUpdateRequest_

```
{
  "webhookId": "ffffe61cf25e4ec49c34b029ff3060f7",
  "enabled": true,
  "zones": [
    "zone_1234567890abcdef"
  ]
}
```

#### Responses

*   **200** Successfully updated notification webhook.
    
    Media type: `application/json`. Schema: `PageShieldNotificationWebhookEnvelope`.
    
    _Example PageShieldNotificationWebhookResponse: same as POST /organizations/{organizationId}/page-shield/notifications 200 response._
    
*   **400** The request sent by the caller is not valid.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example BadRequest: same as POST /organizations/{organizationId}/storefront-zones 400 response._
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **404** The resource requested by the caller was not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: NotFound_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/resource-not-found",
      "title": "Not Found",
      "detail": "Requested resource was not found"
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### GET List webhooks.

`GET /organizations/{organizationId}/webhook`

Operation ID: `getWebhooks`. Security: AmOAuth2 (sfcc.cdn-zones, sfcc.cdn-zones.rw).

Retrieve all webhooks.

#### Parameters

*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **200** Successfully retrieved webhooks.
    
    Media type: `application/json`. Schema: `WebhookListEnvelope`.
    
    _Example: WebhookListResponse_
    
    ```
    {
      "data": [
        {
          "id": "ffffe61cf25e4ec49c34b029ff3060f7",
          "name": "My Webhook",
          "url": "https://example.com/webhook",
          "type": "webhook",
          "createdAt": "2023-01-01T00:00:00Z",
          "lastSuccess": "2023-01-01T12:00:00Z",
          "lastFailure": "2023-01-01T18:00:00Z"
        }
      ]
    }
    ```
    
*   **400** The request sent by the caller is not valid.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example BadRequest: same as POST /organizations/{organizationId}/storefront-zones 400 response._
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **404** The requested resource was not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: NotFound_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/resource-not-found",
      "title": "Not Found",
      "detail": "Requested resource was not found"
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### POST Create webhook.

`POST /organizations/{organizationId}/webhook`

Operation ID: `createWebhook`. Security: AmOAuth2 (sfcc.cdn-zones.rw).

Create a new webhook.

#### Parameters

*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `WebhookRequest`.

_Example: WebhookRequestBodyExample_

```
{
  "name": "My Webhook",
  "url": "https://example.com/webhook",
  "secret": "webhook_secret_123"
}
```

#### Responses

*   **201** Successfully created webhook.
    
    Media type: `application/json`. Schema: `WebhookEnvelope`.
    
    _Example: WebhookResponse_
    
    ```
    {
      "data": {
        "id": "ffffe61cf25e4ec49c34b029ff3060f7",
        "name": "My Webhook",
        "url": "https://example.com/webhook",
        "type": "webhook",
        "createdAt": "2023-01-01T00:00:00Z",
        "lastSuccess": "2023-01-01T12:00:00Z",
        "lastFailure": "2023-01-01T18:00:00Z"
      }
    }
    ```
    
*   **400** The request sent by the caller is not valid.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example BadRequest: same as POST /organizations/{organizationId}/storefront-zones 400 response._
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### GET Get webhook by ID.

`GET /organizations/{organizationId}/webhook/{webhookId}`

Operation ID: `getWebhook`. Security: AmOAuth2 (sfcc.cdn-zones, sfcc.cdn-zones.rw).

Retrieve a specific webhook.

#### Parameters

*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `webhookId` (path, string, required) The unique identifier of a webhook.  
    Pattern: ^.\*$. Example: `f90712123fb02287348dd34c0a282bb9`.

#### Responses

*   **200** Successfully retrieved webhook.
    
    Media type: `application/json`. Schema: `WebhookEnvelope`.
    
    _Example WebhookResponse: same as POST /organizations/{organizationId}/webhook 201 response._
    
*   **400** The request sent by the caller is not valid.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example BadRequest: same as POST /organizations/{organizationId}/storefront-zones 400 response._
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **404** The requested resource was not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: NotFound_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/resource-not-found",
      "title": "Not Found",
      "detail": "Requested resource was not found"
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### PUT Update webhook.

`PUT /organizations/{organizationId}/webhook/{webhookId}`

Operation ID: `updateWebhook`. Security: AmOAuth2 (sfcc.cdn-zones.rw).

Update an existing webhook.

#### Parameters

*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `webhookId` (path, string, required) The unique identifier of a webhook.  
    Pattern: ^.\*$. Example: `f90712123fb02287348dd34c0a282bb9`.

#### Request body (required)

Media type: `application/json`. Schema: `WebhookRequest`.

_Example: WebhookRequestBodyExample_

```
{
  "name": "My Webhook",
  "url": "https://example.com/webhook",
  "secret": "webhook_secret_123"
}
```

#### Responses

*   **200** Successfully updated webhook.
    
    Media type: `application/json`. Schema: `WebhookEnvelope`.
    
    _Example WebhookResponse: same as POST /organizations/{organizationId}/webhook 201 response._
    
*   **201** Successfully created webhook.
    
    Media type: `application/json`. Schema: `WebhookEnvelope`.
    
    _Example WebhookResponse: same as POST /organizations/{organizationId}/webhook 201 response._
    
*   **400** The request sent by the caller is not valid.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example BadRequest: same as POST /organizations/{organizationId}/storefront-zones 400 response._
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **404** The requested resource was not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: NotFound_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/resource-not-found",
      "title": "Not Found",
      "detail": "Requested resource was not found"
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### DELETE Delete webhook.

`DELETE /organizations/{organizationId}/webhook/{webhookId}`

Operation ID: `deleteWebhook`. Security: AmOAuth2 (sfcc.cdn-zones.rw).

Delete a webhook.

#### Parameters

*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `webhookId` (path, string, required) The unique identifier of a webhook.  
    Pattern: ^.\*$. Example: `f90712123fb02287348dd34c0a282bb9`.

#### Responses

*   **204** Successfully deleted webhook.
*   **400** The request sent by the caller is not valid.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example BadRequest: same as POST /organizations/{organizationId}/storefront-zones 400 response._
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **404** The requested resource was not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: NotFound_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/resource-not-found",
      "title": "Not Found",
      "detail": "Requested resource was not found"
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### GET List page shield policies.

`GET /organizations/{organizationId}/zones/{zoneId}/page-shield/policies`

Operation ID: `getPageShieldPolicies`. Security: AmOAuth2 (sfcc.cdn-zones, sfcc.cdn-zones.rw).

See [eCDN PCI 4.0 Compliance Tools](https://developer.salesforce.com/docs/commerce/commerce-api/guide/cdn-pci-4-compliance.html).

#### Parameters

*   `zoneId` (path, string, required) The unique identifier of a CDN zone.  
    Pattern: ^.\*$. Example: `f90712123fb02287348dd34c0a282bb9`.
*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **200** List current page shield policies.
    
    Media type: `application/json`. Schema: `PageShieldPoliciesListEnvelope`.
    
    _Example: PageShieldPoliciesGetResponse_
    
    ```
    {
      "data": [
        {
          "action": "log",
          "description": "example page shield policy 1",
          "enabled": true,
          "expression": "(http.request.full_uri contains \"/Checkout-Begin\" and http.host eq \"www.example.com\")",
          "value": "script-src salesforce.com *.salesforce.com https://www.example.com/on/demandware.static/Sites-RefArch-Site/-/en_US/v1738096133818/js/checkout.js 'unsafe-inline'",
          "id": "4805ab87bb867579757a4564ba46ebca"
        },
        {
          "action": "log",
          "description": "example page shield policy 2",
          "enabled": true,
          "expression": "ends_with(http.request.uri.path, \"/test1\")",
          "value": "script-src 'none'",
          "id": "7650c87c9c2846c296ea4564ba46ebca"
        }
      ]
    }
    ```
    
*   **400** The request sent by the caller is not valid.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example BadRequest: same as POST /organizations/{organizationId}/storefront-zones 400 response._
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### POST Create page shield policy.

`POST /organizations/{organizationId}/zones/{zoneId}/page-shield/policies`

Operation ID: `createPageShieldPolicy`. Security: AmOAuth2 (sfcc.cdn-zones.rw).

See [eCDN PCI 4.0 Compliance Tools](https://developer.salesforce.com/docs/commerce/commerce-api/guide/cdn-pci-4-compliance.html).

#### Parameters

*   `zoneId` (path, string, required) The unique identifier of a CDN zone.  
    Pattern: ^.\*$. Example: `f90712123fb02287348dd34c0a282bb9`.
*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `PageShieldPolicyRequest`.

_Example: PageShieldPolicyRequestBodyExample_

```
{
  "action": "log",
  "description": "example page shield policy",
  "enabled": true,
  "expression": "ends_with(http.request.uri.path, \"/test1\")",
  "value": "script-src 'none'"
}
```

#### Responses

*   **200** Successfully created page shield policy.
    
    Media type: `application/json`. Schema: `PageShieldPoliciesEnvelope`.
    
    _Example: PageShieldPolicyGetResponse_
    
    ```
    {
      "data": {
        "action": "log",
        "description": "example page shield policy",
        "enabled": true,
        "expression": "ends_with(http.request.uri.path, \"/test1\")",
        "value": "script-src 'none'",
        "id": "7650c87c9c2846c296ea4564ba46ebca"
      }
    }
    ```
    
*   **400** The request sent by the caller is not valid.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example BadRequest: same as POST /organizations/{organizationId}/storefront-zones 400 response._
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **404** The resource requested by the caller was not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: NotFound_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/resource-not-found",
      "title": "Not Found",
      "detail": "Requested resource was not found"
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### GET Get page shield policy by policy ID.

`GET /organizations/{organizationId}/zones/{zoneId}/page-shield/policies/{policyId}`

Operation ID: `getPageShieldPolicy`. Security: AmOAuth2 (sfcc.cdn-zones, sfcc.cdn-zones.rw).

See [eCDN PCI 4.0 Compliance Tools](https://developer.salesforce.com/docs/commerce/commerce-api/guide/cdn-pci-4-compliance.html).

#### Parameters

*   `policyId` (path, string, required) The unique identifier of a Page Shield policy.  
    Pattern: ^.\*$. Example: `f90712123fb02287348dd34c0a282bb9`.
*   `zoneId` (path, string, required) The unique identifier of a CDN zone.  
    Pattern: ^.\*$. Example: `f90712123fb02287348dd34c0a282bb9`.
*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **200** Successfully retrieved the details of the page shield policy.
    
    Media type: `application/json`. Schema: `PageShieldPoliciesEnvelope`.
    
    _Example PageShieldPolicyGetResponse: same as POST /organizations/{organizationId}/zones/{zoneId}/page-shield/policies 200 response._
    
*   **400** The request sent by the caller is not valid.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example BadRequest: same as POST /organizations/{organizationId}/storefront-zones 400 response._
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### PUT Update page shield policy by policy ID.

`PUT /organizations/{organizationId}/zones/{zoneId}/page-shield/policies/{policyId}`

Operation ID: `updatePageShieldPolicy`. Security: AmOAuth2 (sfcc.cdn-zones.rw).

See [eCDN PCI 4.0 Compliance Tools](https://developer.salesforce.com/docs/commerce/commerce-api/guide/cdn-pci-4-compliance.html).

#### Parameters

*   `policyId` (path, string, required) The unique identifier of a Page Shield policy.  
    Pattern: ^.\*$. Example: `f90712123fb02287348dd34c0a282bb9`.
*   `zoneId` (path, string, required) The unique identifier of a CDN zone.  
    Pattern: ^.\*$. Example: `f90712123fb02287348dd34c0a282bb9`.
*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `PageShieldPolicyRequest`.

_Example: PageShieldPolicyPutRequestBodyExample_

```
{
  "action": "allow",
  "enabled": true
}
```

#### Responses

*   **200** Successfully updated the page shield policy.
    
    Media type: `application/json`. Schema: `PageShieldPoliciesEnvelope`.
    
    _Example: PageShieldPoliciesEnvelope_
    
    ```
    {
      "data": {
        "action": "allow",
        "description": "example page shield policy",
        "enabled": true,
        "expression": "ends_with(http.request.uri.path, \"/test1\")",
        "value": "script-src 'none'",
        "id": "7650c87c9c2846c296ea4564ba46ebca"
      }
    }
    ```
    
*   **400** The request sent by the caller is not valid.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example BadRequest: same as POST /organizations/{organizationId}/storefront-zones 400 response._
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### DELETE Delete page shield policy.

`DELETE /organizations/{organizationId}/zones/{zoneId}/page-shield/policies/{policyId}`

Operation ID: `deletePageShieldPolicy`. Security: AmOAuth2 (sfcc.cdn-zones.rw).

See [eCDN PCI 4.0 Compliance Tools](https://developer.salesforce.com/docs/commerce/commerce-api/guide/cdn-pci-4-compliance.html).

#### Parameters

*   `policyId` (path, string, required) The unique identifier of a Page Shield policy.  
    Pattern: ^.\*$. Example: `f90712123fb02287348dd34c0a282bb9`.
*   `zoneId` (path, string, required) The unique identifier of a CDN zone.  
    Pattern: ^.\*$. Example: `f90712123fb02287348dd34c0a282bb9`.
*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **204** Successfully deleted the page shield policy.
*   **400** The request sent by the caller is not valid.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example BadRequest: same as POST /organizations/{organizationId}/storefront-zones 400 response._
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **404** The resource requested by the caller was not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: NotFound_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/resource-not-found",
      "title": "Not Found",
      "detail": "Requested resource was not found"
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### GET Retrieve a list of scripts detected by page shield for a specific zone.

`GET /organizations/{organizationId}/zones/{zoneId}/page-shield/scripts`

Operation ID: `getPageShieldScripts`. Security: AmOAuth2 (sfcc.cdn-zones, sfcc.cdn-zones.rw).

See [eCDN PCI 4.0 Compliance Tools](https://developer.salesforce.com/docs/commerce/commerce-api/guide/cdn-pci-4-compliance.html).

#### Parameters

*   `zoneId` (path, string, required) The unique identifier of a CDN zone.  
    Pattern: ^.\*$. Example: `f90712123fb02287348dd34c0a282bb9`.
*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `direction` (query, string) The direction used to sort returned scripts.  
    Allowed values: `asc`, `desc`. Example: `asc`.
*   `excludeCdnCgi` (query, boolean) When true, excludes scripts existing in a /cdn-cgi path from the returned scripts. Default is true.  
    Example: `true`.
*   `excludeDuplicates` (query, boolean) When true, excludes duplicate scripts. Default is false.  
    Example: `false`.
*   `excludeUrls` (query, string) Excludes scripts with a URL that contains one of the URL-encoded URLs separated by commas.  
    Pattern: ^.\*$. Example: `https://example.com/script1.js,https://example.com/script2.js`.
*   `hosts` (query, string) Includes scripts that match one or more URL-encoded hostnames separated by commas. Wildcards are supported at the beginning and end of each hostname.  
    Pattern: ^.\*$. Example: `*.example.com,test.example.com`.
*   `orderBy` (query, string) The field used to sort returned scripts.  
    Allowed values: `first_seen_at`, `last_seen_at`. Example: `last_seen_at`.
*   `pageUrl` (query, string) Includes scripts that match one or more page URLs (separated by commas) where they were last detected. Wildcards are supported at the beginning and end of each page URL.  
    Pattern: ^.\*$. Example: `https://example.com/page1,https://example.com/page2`.
*   `prioritizeMalicious` (query, boolean) When true, lists malicious scripts first in the returned scripts.  
    Example: `true`.
*   `status` (query, string) Filters the returned scripts using a comma-separated list of script statuses. Accepted values are 'active', 'infrequent', and 'inactive'. Default is 'active'.  
    Pattern: ^.\*$. Example: `active,infrequent`.
*   `urls` (query, string) Includes scripts with a URL that contains one or more URL-encoded URLs separated by commas.  
    Pattern: ^.\*$. Example: `https://example.com/script1.js,https://example.com/script2.js`.
*   `page` (query, string) When set to 'all', retrieves all scripts without pagination, disregarding offset and limit parameters.  
    Allowed values: `all`. Example: `all`.
*   `limit` (query, integer (int32)) Number of records to retrieve per request. Must be between 1 (minimum) and 200 (maximum). Defaults to 200.  
    Default: `200`. Minimum: 1. Maximum: 200.
*   `offset` (query, integer (int32)) Used to retrieve the results based on a particular resource offset.  
    Default: `0`. Minimum: 0.

#### Responses

*   **200** List current page shield scripts.
    
    Media type: `application/json`. Schema: `PageShieldScriptListEnvelope`.
    
    _Example: PageShieldScriptListResponse_
    
    ```
    {
      "data": [
        {
          "id": "12345678901234asdfasfasdf",
          "url": "https://sfdc-test.net/on/demandware.static/Sites-SiteNemesis-Site/-/en_US//lib/jquery/ui/jquery-ui.min.js",
          "host": "sfdc-test.net",
          "addedAt": "2022-01-01T05:20:00Z",
          "firstSeenAt": "2022-01-01T05:20:00Z",
          "lastSeenAt": "2022-01-01T05:20:00Z",
          "fetchedAt": "2022-01-01T05:20:00Z",
          "domainReportedMalicious": false,
          "hash": "1243453456abc",
          "cryptoMiningScore": 1,
          "dataflowScore": 1,
          "jsIntegrityScore": 1,
          "mageCartScore": 2,
          "malwareScore": 1,
          "obfuscationScore": 2,
          "maliciousDomainCategories": [
            "Malware"
          ],
          "maliciousUrlCategories": [
            "Malware"
          ],
          "urlContainsCdnCgiPath": false,
          "urlReportedMalicious": false,
          "pageUrls": [
            "blog.test.salesforce.com/page1",
            "blog.test.salesforce.com/page2"
          ],
          "firstPageUrl": "blog.test.salesforce.com",
          "status": "active",
          "versions": []
        }
      ]
    }
    ```
    
*   **400** The request sent by the caller is not valid.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example BadRequest: same as POST /organizations/{organizationId}/storefront-zones 400 response._
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **404** The resource requested by the caller was not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: NotFound_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/resource-not-found",
      "title": "Not Found",
      "detail": "Requested resource was not found"
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### GET Fetch a script detected by Page Shield by script ID.

`GET /organizations/{organizationId}/zones/{zoneId}/page-shield/scripts/{scriptId}`

Operation ID: `getPageShieldScript`. Security: AmOAuth2 (sfcc.cdn-zones, sfcc.cdn-zones.rw).

See [eCDN PCI 4.0 Compliance Tools](https://developer.salesforce.com/docs/commerce/commerce-api/guide/cdn-pci-4-compliance.html).

#### Parameters

*   `scriptId` (path, string, required) The unique identifier of a Page Shield script.  
    Pattern: ^.\*$. Example: `f90712123fb02287348dd34c0a282bb9`.
*   `zoneId` (path, string, required) The unique identifier of a CDN zone.  
    Pattern: ^.\*$. Example: `f90712123fb02287348dd34c0a282bb9`.
*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **200** A script detected by Page Shield by script ID.
    
    Media type: `application/json`. Schema: `PageShieldScriptEnvelope`.
    
    _Example: PageShieldScriptResponse_
    
    ```
    {
      "data": {
        "id": "12345678901234asdfasfasdf",
        "url": "https://sfdc-test.net/on/demandware.static/Sites-SiteNemesis-Site/-/en_US//lib/jquery/ui/jquery-ui.min.js",
        "host": "sfdc-test.net",
        "addedAt": "2022-01-01T05:20:00Z",
        "firstSeenAt": "2022-01-01T05:20:00Z",
        "lastSeenAt": "2022-01-01T05:20:00Z",
        "fetchedAt": "2022-01-01T05:20:00Z",
        "domainReportedMalicious": false,
        "hash": "1243453456abc",
        "cryptoMiningScore": 1,
        "dataflowScore": 1,
        "jsIntegrityScore": 1,
        "mageCartScore": 2,
        "malwareScore": 1,
        "obfuscationScore": 2,
        "maliciousDomainCategories": [
          "Malware"
        ],
        "maliciousUrlCategories": [
          "Malware"
        ],
        "urlContainsCdnCgiPath": false,
        "urlReportedMalicious": false,
        "pageUrls": [
          "blog.test.salesforce.com/page1",
          "blog.test.salesforce.com/page2"
        ],
        "firstPageUrl": "blog.test.salesforce.com",
        "status": "active",
        "versions": []
      }
    }
    ```
    
*   **400** The request sent by the caller is not valid.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example BadRequest: same as POST /organizations/{organizationId}/storefront-zones 400 response._
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### GET Retrieve zone information.

`GET /organizations/{organizationId}/zones/info`

Operation ID: `getZonesInfo`. Security: AmOAuth2 (sfcc.cdn-zones, sfcc.cdn-zones.rw).

Retrieve information about all zones for the organization. This endpoint provides an overview of all CDN zones, including their status, configuration, and basic details.

#### Parameters

*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `limit` (query, integer (int32)) Number of records to retrieve per request. Must be between 1 (minimum) and 50 (maximum). Defaults to 25.  
    Default: `25`. Minimum: 1. Maximum: 50.
*   `offset` (query, integer (int32)) Used to retrieve the results based on a particular resource offset.  
    Default: `0`. Minimum: 0.

#### Responses

*   **200** Successfully retrieved zone information requested by the caller.
    
    Media type: `application/json`. Schema: `ZonesEnvelope`.
    
    _Example: ZonesGetResponse_
    
    ```
    {
      "data": [
        {
          "zoneId": "e4288c0a1f80fa5490b598d74c69bde4",
          "name": "sfcc-cdn.net",
          "status": "pending"
        }
      ]
    }
    ```
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **404** The resource requested by the caller was not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: NotFound_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/resource-not-found",
      "title": "Not Found",
      "detail": "Requested resource was not found"
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### GET Retrieve all WAF groups accessible to the caller.

`GET /organizations/{organizationId}/zones/{zoneId}/waf/groups`

Operation ID: `getWafGroups`. Security: AmOAuth2 (sfcc.cdn-zones, sfcc.cdn-zones.rw).

Retrieve all Web Application Firewall (WAF) groups accessible to the caller. This endpoint provides information about WAF groups and their configurations for the specified zone. Not applicable for zones using WAFv2. For zones created after the 24.5 release, use the endpoints for WAF managed rulesets.

#### Parameters

*   `zoneId` (path, string, required) The unique identifier of a CDN zone.  
    Pattern: ^.\*$. Example: `f90712123fb02287348dd34c0a282bb9`.
*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **200** Successfully retrieved details of WAF groups to which the caller has access.
    
    Media type: `application/json`. Schema: `WafGroupsEnvelope`.
    
    _Example: WafGroupsGetResponse_
    
    ```
    {
      "data": [
        {
          "groupId": "f90712123fb02287348dd34c0a282bb9",
          "mode": "on",
          "description": "This WAF Group contains a number of rules that have been created to deal with specific attack types. "
        },
        {
          "groupId": "da9d75b083345c63f48e6fde5f617a8b",
          "mode": "on",
          "description": "This WAF Group contains rules to deal with known malicious traffic or patch flaws in specific web applications."
        }
      ]
    }
    ```
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **404** The resource requested by the caller was not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: NotFound_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/resource-not-found",
      "title": "Not Found",
      "detail": "Requested resource was not found"
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### PUT Update the action or mode of a specific WAF group.

`PUT /organizations/{organizationId}/zones/{zoneId}/waf/groups/{groupId}`

Operation ID: `updateWafGroup`. Security: AmOAuth2 (sfcc.cdn-zones.rw).

Update the action or mode of a specific Web Application Firewall (WAF) group. Use this endpoint to modify the security settings and behavior of a WAF group. Not applicable for zones using WAFv2. For any zones created after the 24.5 release, use the endpoints for WAF managed rulesets.

#### Parameters

*   `groupId` (path, string, required) WAF Group that contains the WAF rules.  
    Pattern: ^.\*$. Example: `f90712123fb02287348dd34c0a282bb9`.
    
    _Example_
    
    ```
    f90712123fb02287348dd34c0a282bb9
    ```
    
*   `zoneId` (path, string, required) The unique identifier of a CDN zone.  
    Pattern: ^.\*$. Example: `f90712123fb02287348dd34c0a282bb9`.
*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `WafGroup`.

_Example: WafGroupPutRequestBodyExample_

```
{
  "action": "monitor",
  "mode": "on"
}
```

#### Responses

*   **200** Successfully updated the WAF group specified by the caller.
    
    Media type: `application/json`. Schema: `WafGroupEnvelope`.
    
    _Example: WafGroupPutResponse_
    
    ```
    {
      "data": {
        "groupId": "f90712123fb02287348dd34c0a282bb9",
        "mode": "on",
        "description": "This WAF Group contains a number of rules that have been created to deal with specific attack types. "
      }
    }
    ```
    
*   **400** The request sent by the caller is not valid.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example BadRequest: same as POST /organizations/{organizationId}/storefront-zones 400 response._
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### GET Retrieve WAF rules for the WAF group specified by the caller.

`GET /organizations/{organizationId}/zones/{zoneId}/waf/rules`

Operation ID: `getWafRules`. Security: AmOAuth2 (sfcc.cdn-zones, sfcc.cdn-zones.rw).

Retrieve WAF rules for the WAF group specified by the caller. This endpoint provides information about the security rules configured for a specific WAF group. Not applicable for zones using WAFv2. For any zones created after the 24.5 release, use the endpoints for WAF managed rulesets.

#### Parameters

*   `zoneId` (path, string, required) The unique identifier of a CDN zone.  
    Pattern: ^.\*$. Example: `f90712123fb02287348dd34c0a282bb9`.
*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `groupId` (query, string) WAF Group that contains the WAF rules.  
    Pattern: ^.\*$. Example: `f90712123fb02287348dd34c0a282bb9`.
    
    _Example_
    
    ```
    f90712123fb02287348dd34c0a282bb9
    ```
    

#### Responses

*   **200** Successfully retrieved the WAF rules requested by the caller.
    
    Media type: `application/json`. Schema: `WafRulesEnvelope`.
    
    _Example: WafGroupPutResponse_
    
    ```
    {
      "data": [
        {
          "ruleId": "100001",
          "groupId": "f90712123fb02287348dd34c0a282bb9",
          "action": "monitor",
          "defaultAction": "challenge",
          "description": "Anomaly:Header:User-Agent - Missing"
        },
        {
          "ruleId": "100002",
          "groupId": "f90712123fb02287348dd34c0a282bb9",
          "action": "monitor",
          "defaultAction": "challenge",
          "description": "DoS - IE6 Binary POST"
        },
        {
          "ruleId": "100002A",
          "groupId": "f90712123fb02287348dd34c0a282bb9",
          "action": "monitor",
          "defaultAction": "challenge",
          "description": "DoS - CtrlFunc Botnet"
        }
      ]
    }
    ```
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **404** The resource requested by the caller was not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: NotFound_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/resource-not-found",
      "title": "Not Found",
      "detail": "Requested resource was not found"
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### GET Retrieve details of a specific WAF rule.

`GET /organizations/{organizationId}/zones/{zoneId}/waf/rules/{ruleId}`

Operation ID: `getWafRule`. Security: AmOAuth2 (sfcc.cdn-zones, sfcc.cdn-zones.rw).

Retrieve details of a specific WAF rule by its ID. This endpoint provides comprehensive information about the rule's configuration and settings. Not applicable for zones using WAFv2. For any zones created after the 24.5 release, use the endpoints for WAF managed rulesets.

#### Parameters

*   `ruleId` (path, string, required) The unique identifier of a rule.  
    Pattern: ^.\*$. Example: `ffffe61cf25e4ec49c34b029ff3060f7`.
*   `zoneId` (path, string, required) The unique identifier of a CDN zone.  
    Pattern: ^.\*$. Example: `f90712123fb02287348dd34c0a282bb9`.
*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **200** Successfully retrieved details of the WAF rule requested by the caller.
    
    Media type: `application/json`. Schema: `WafRuleEnvelope`.
    
    _Example: WafRuleGetResponse_
    
    ```
    {
      "data": {
        "ruleId": "100001",
        "groupId": "f90712123fb02287348dd34c0a282bb9",
        "action": "monitor",
        "defaultAction": "challenge",
        "description": "Anomaly:Header:User-Agent - Missing"
      }
    }
    ```
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **404** The resource requested by the caller was not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: NotFound_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/resource-not-found",
      "title": "Not Found",
      "detail": "Requested resource was not found"
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### PUT Update the action of a specific WAF rule.

`PUT /organizations/{organizationId}/zones/{zoneId}/waf/rules/{ruleId}`

Operation ID: `updateWafRule`. Security: AmOAuth2 (sfcc.cdn-zones.rw).

Update the action of a specific WAF rule. Use this endpoint to modify the security behavior and response actions of a WAF rule. Not applicable for zones using WAFv2. For any zones created after the 24.5 release, use the endpoints for WAF managed rulesets.

#### Parameters

*   `ruleId` (path, string, required) The unique identifier of a rule.  
    Pattern: ^.\*$. Example: `ffffe61cf25e4ec49c34b029ff3060f7`.
*   `zoneId` (path, string, required) The unique identifier of a CDN zone.  
    Pattern: ^.\*$. Example: `f90712123fb02287348dd34c0a282bb9`.
*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `WafRule`.

_Example: WafRulePutRequestBodyExample_

```
{
  "action": "monitor"
}
```

#### Responses

*   **200** Successfully updated the WAF rule specified by the caller.
    
    Media type: `application/json`. Schema: `WafRuleEnvelope`.
    
    _Example: WafRulePutResponse_
    
    ```
    {
      "data": {
        "ruleId": "100001",
        "groupId": "f90712123fb02287348dd34c0a282bb9",
        "action": "monitor",
        "defaultAction": "challenge",
        "description": "Anomaly:Header:User-Agent - Missing "
      }
    }
    ```
    
*   **400** The request sent by the caller is not valid.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example BadRequest: same as POST /organizations/{organizationId}/storefront-zones 400 response._
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### GET Retrieve the speed settings for a zone.

`GET /organizations/{organizationId}/zones/{zoneId}/speed-settings`

Operation ID: `getSpeedSettings`. Security: AmOAuth2 (sfcc.cdn-zones, sfcc.cdn-zones.rw).

Retrieve speed settings for the specified zone. This endpoint provides information about performance optimizations.

#### Parameters

*   `zoneId` (path, string, required) The unique identifier of a CDN zone.  
    Pattern: ^.\*$. Example: `f90712123fb02287348dd34c0a282bb9`.
*   `organizationId` (path, string, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).  
    Minimum length: 1. Maximum length: 32. Example: `f_ecom_zzxy_prd`.
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **200** Successfully returned the speed settings requested by the caller.
    
    Media type: `application/json`. Schema: `SpeedSettingsEnvelope`.
    
    _Example: SpeedSettingsResponse_
    
    ```
    {
      "data": {
        "brotliCompression": "off",
        "http2Prioritization": "off",
        "webp": "off",
        "polish": "off",
        "earlyHints": "off",
        "http3": "off",
        "http2ToOrigin": "off"
      }
    }
    ```
    
*   **401** The caller is not authorized to access the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Unauthorized_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "UnAuthorized Access",
      "detail": "The authorization token passed is no longer valid"
    }
    ```
    
*   **403** The caller does not have access to the requested resource.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: Forbidden_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden-access",
      "title": "Forbidden",
      "detail": "Access to requested resource is forbidden."
    }
    ```
    
*   **404** The resource requested by the caller was not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: NotFound_
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/resource-not-found",
      "title": "Not Found",
      "detail": "Requested resource was not found"
    }
    ```
    
*   **500** An error occurred on the server side.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example InternalServerError: same as POST /organizations/{organizationId}/storefront-zones 500 response._
    

### PATCH Update the speed settings for a zone.

`PATCH /organizations/{organizationId}/zones/{zoneId}/speed-settings`

[...]
